using System;

namespace Quadarax.Foundation.Core.QConsole.Value
{
    public class StringValue : AbstractValue
    {
        public StringValue() : base()
        {

        }

        public StringValue(Type valueType, object value) : base(valueType, value)
        {
        }

        protected override object ConvertStringToValue(string valueAsString)
        {
            return valueAsString;
        }

        public override string AsString()
        {
            return HasValue ? Get().ToString() : string.Empty;
        }
    }
}
